/*
   This program reads one character at a time from standard input,
   and then writes each character to standard output.

   When using Windows, if standard input is the console
   keyboard, use ^z (Control-z) to denote the end of file
   (and you must use ^z at the beginning of a line!).
*/
#include <stdio.h>

int main()
{
   int c;
   while ( (c = getchar()) != EOF )
   {
      printf("%c", c);
      fflush(stdout);
   }
   return 0;
}
